summaryrefslogtreecommitdiff
path: root/tests/mv
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv')
-rwxr-xr-xtests/mv/backup-dir2
-rwxr-xr-xtests/mv/backup-is-src2
-rwxr-xr-xtests/mv/diag2
-rwxr-xr-xtests/mv/dir2dir2
-rwxr-xr-xtests/mv/dup-source4
-rwxr-xr-xtests/mv/force2
-rwxr-xr-xtests/mv/hard-verbose2
-rwxr-xr-xtests/mv/i-link-no4
-rwxr-xr-xtests/mv/into-self2
-rwxr-xr-xtests/mv/into-self-22
-rwxr-xr-xtests/mv/into-self-32
-rwxr-xr-xtests/mv/mv-special-12
-rwxr-xr-xtests/mv/part-fail2
-rwxr-xr-xtests/mv/perm-12
-rwxr-xr-xtests/mv/sticky-to-xpart2
-rwxr-xr-xtests/mv/trailing-slash2
16 files changed, 18 insertions, 18 deletions
diff --git a/tests/mv/backup-dir b/tests/mv/backup-dir
index 3026365dd..b54210bac 100755
--- a/tests/mv/backup-dir
+++ b/tests/mv/backup-dir
@@ -29,6 +29,6 @@ cat <<\EOF > exp || fail=1
`A' -> `B' (backup: `B.~1~')
EOF
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail
diff --git a/tests/mv/backup-is-src b/tests/mv/backup-is-src
index ba05870ab..0d4a06d4c 100755
--- a/tests/mv/backup-is-src
+++ b/tests/mv/backup-is-src
@@ -41,6 +41,6 @@ cat > exp <<\EOF
XXX: backing up `YYY' would destroy source; `ZZZ' not moved
EOF
-compare out2 exp || fail=1
+compare exp out2 || fail=1
Exit $fail
diff --git a/tests/mv/diag b/tests/mv/diag
index 2007ee063..21bb5e61f 100755
--- a/tests/mv/diag
+++ b/tests/mv/diag
@@ -43,6 +43,6 @@ mv: target `f1' is not a directory
mv: target `f2' is not a directory
EOF
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail
diff --git a/tests/mv/dir2dir b/tests/mv/dir2dir
index 452bb7de9..cf4ba0a90 100755
--- a/tests/mv/dir2dir
+++ b/tests/mv/dir2dir
@@ -37,6 +37,6 @@ cat <<\EOF > exp || fail=1
mv: cannot move `b/t' to `a/t': Directory not empty
EOF
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail
diff --git a/tests/mv/dup-source b/tests/mv/dup-source
index 0bbe36aed..5b91ba51e 100755
--- a/tests/mv/dup-source
+++ b/tests/mv/dup-source
@@ -45,7 +45,7 @@ $i: warning: source file \`a' specified more than once
$i: warning: source file \`a' specified more than once
$i: will not overwrite just-created \`d/a' with \`a'
EOF
- compare out exp || fail=1
+ compare exp out || fail=1
done
for i in mv; do
@@ -59,7 +59,7 @@ for i in mv; do
$i: cannot stat \`a': No such file or directory
$i: cannot stat \`a': No such file or directory
EOF
- compare out exp || fail=1
+ compare exp out || fail=1
done
Exit $fail
diff --git a/tests/mv/force b/tests/mv/force
index 4aa754003..5ef6391d3 100755
--- a/tests/mv/force
+++ b/tests/mv/force
@@ -32,7 +32,7 @@ cat > exp <<EOF
mv: \`$ff' and \`$ff' are the same file
EOF
-compare out exp || fail=1
+compare exp out || fail=1
test `cat $ff` = force-contents || fail=1
# This should succeed, even though the source and destination
diff --git a/tests/mv/hard-verbose b/tests/mv/hard-verbose
index 95d959d57..b354447ee 100755
--- a/tests/mv/hard-verbose
+++ b/tests/mv/hard-verbose
@@ -28,6 +28,6 @@ cat <<\EOF > exp || fail=1
removed `x'
EOF
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail
diff --git a/tests/mv/i-link-no b/tests/mv/i-link-no
index 7858eb91b..94fc43db9 100755
--- a/tests/mv/i-link-no
+++ b/tests/mv/i-link-no
@@ -32,8 +32,8 @@ mv a/bar a/foo b < no > out 2> err || fail=1
touch exp
touch exp_err
-compare out exp || fail=1
-compare err exp_err || fail=1
+compare exp out || fail=1
+compare exp_err err || fail=1
case "`cat b/foo`" in
foo) ;;
diff --git a/tests/mv/into-self b/tests/mv/into-self
index a4df10a6b..16aa681d6 100755
--- a/tests/mv/into-self
+++ b/tests/mv/into-self
@@ -40,7 +40,7 @@ cat > exp <<\EOF
XXX: cannot move `SRC' to a subdirectory of itself, `DEST'
EOF
-compare out2 exp || fail=1
+compare exp out2 || fail=1
# Make sure the file is gone.
test -f $file && fail=1
diff --git a/tests/mv/into-self-2 b/tests/mv/into-self-2
index 28e212768..9cc6ef016 100755
--- a/tests/mv/into-self-2
+++ b/tests/mv/into-self-2
@@ -47,6 +47,6 @@ XXX: `ZZZ' and `YYY' are the same file
EOF
#'
-compare out2 exp || fail=1
+compare exp out2 || fail=1
Exit $fail
diff --git a/tests/mv/into-self-3 b/tests/mv/into-self-3
index 8d1eadb5f..c937ebad1 100755
--- a/tests/mv/into-self-3
+++ b/tests/mv/into-self-3
@@ -36,6 +36,6 @@ cat > exp <<\EOF
XXX: cannot move `ZZZ' to a subdirectory of itself, `ZZZ/ZZZ'
EOF
-compare out2 exp || fail=1
+compare exp out2 || fail=1
Exit $fail
diff --git a/tests/mv/mv-special-1 b/tests/mv/mv-special-1
index f43a70791..34a226999 100755
--- a/tests/mv/mv-special-1
+++ b/tests/mv/mv-special-1
@@ -64,7 +64,7 @@ cat <<EOF | sort > exp
\`$dir/d/e/f/file2' -> \`XXX/$dir/d/e/f/file2'
EOF
-compare out2 exp || fail=1
+compare exp out2 || fail=1
# cd "$other_partition_tmpdir"
# ls -l -A -R "$other_partition_tmpdir"
diff --git a/tests/mv/part-fail b/tests/mv/part-fail
index c653df823..acf291e9e 100755
--- a/tests/mv/part-fail
+++ b/tests/mv/part-fail
@@ -50,6 +50,6 @@ else
fail=1
fi
fi
-test $fail = 1 && compare out exp
+test $fail = 1 && compare exp out
Exit $fail
diff --git a/tests/mv/perm-1 b/tests/mv/perm-1
index cab0076f2..6b37e04f8 100755
--- a/tests/mv/perm-1
+++ b/tests/mv/perm-1
@@ -30,6 +30,6 @@ cat <<\EOF > exp
mv: cannot move `no-write/dir' to `./dir': Permission denied
EOF
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail
diff --git a/tests/mv/sticky-to-xpart b/tests/mv/sticky-to-xpart
index 3d61c3c27..a8b2e5952 100755
--- a/tests/mv/sticky-to-xpart
+++ b/tests/mv/sticky-to-xpart
@@ -62,6 +62,6 @@ cat <<\EOF > exp
mv: cannot remove `t/root-owned': Operation not permitted
EOF
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail
diff --git a/tests/mv/trailing-slash b/tests/mv/trailing-slash
index 104cf594c..b00ce5ce9 100755
--- a/tests/mv/trailing-slash
+++ b/tests/mv/trailing-slash
@@ -60,6 +60,6 @@ cp b no-such/ 2> err && fail=1
# Map "No such file..." diagnostic to the expected "Not a directory"
sed 's/No such file or directory/Not a directory/' err > k && mv k err
-compare err expected-err || fail=1
+compare expected-err err || fail=1
Exit $fail